#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ChartSpots.CSInitialBalance[] cacheCSInitialBalance;

		
		public ChartSpots.CSInitialBalance CSInitialBalance()
		{
			return CSInitialBalance(Input);
		}


		
		public ChartSpots.CSInitialBalance CSInitialBalance(ISeries<double> input)
		{
			if (cacheCSInitialBalance != null)
				for (int idx = 0; idx < cacheCSInitialBalance.Length; idx++)
					if ( cacheCSInitialBalance[idx].EqualsInput(input))
						return cacheCSInitialBalance[idx];
			return CacheIndicator<ChartSpots.CSInitialBalance>(new ChartSpots.CSInitialBalance(), input, ref cacheCSInitialBalance);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ChartSpots.CSInitialBalance CSInitialBalance()
		{
			return indicator.CSInitialBalance(Input);
		}


		
		public Indicators.ChartSpots.CSInitialBalance CSInitialBalance(ISeries<double> input )
		{
			return indicator.CSInitialBalance(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ChartSpots.CSInitialBalance CSInitialBalance()
		{
			return indicator.CSInitialBalance(Input);
		}


		
		public Indicators.ChartSpots.CSInitialBalance CSInitialBalance(ISeries<double> input )
		{
			return indicator.CSInitialBalance(input);
		}

	}
}

#endregion
